Subject: Seeking produce brokerage position in Pacific Northwest

From: [email-masked] (Greg BT624)
Date: 11 Jul 1995 17:04:31 -0400

I am currently seeking employment in the produce brokerage business.  I
have over 20 years experience in the wholesale and retail produce trade. 
I have a current customer base of many well known companies nationally and
internationally.  If interested, please e-mail me at:  [email-masked]
Or:
Greg Tompkins
5405 Broomhead Road
Williamsburg, MI  49690
(616) 267-9414